Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000791Core InformAssertions and creationspublic2011-10-31 19:022014-05-07 07:33
ReporterNYKevin 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000791: "Every thing unlocks itself" gives a weird error message
DescriptionThis error message:
  >--> You wrote 'Every thing unlocks itself' (source text, line 5), but in
    another sentence 'Every thing unlocks itself' (source text, line 5): but
    this looks like a contradiction, because the same property seems to be
    being set in each of these sentences, but with a different outcome.

What does it mean by a different outcome? I'm guessing that Inform thinks this will clash with the one-to-various structure of lock-fitting (although in reality, it won't as far as I can tell), but maybe there's some other problem.

This might be a "Compiler rejects valid code" issue, but I'm not sure if this is or ought to be valid code.
Minimal Source Text To Reproduce
"Test"

There is room.

Every thing unlocks itself.
Additional InformationHaving individual things which unlock themselves is also broken (but of limited usefulness in any case); I will report a separate bug for that soon.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0001433)
NYKevin (reporter)
2011-10-31 19:07

Other issue now reported as 0000792
(0001470)
Texter (reporter)
2011-11-30 08:20

Try
----
Check unlocking something with something:
     if the second noun is the noun:
         now the noun is open.
----
(0001571)
EmacsUser (manager)
2012-02-03 08:07

Confirming this one for the error message wording.
(0002653)
graham (administrator)
2014-05-04 04:05

There is now a much clearer problem message for this.

- Issue History
Date Modified Username Field Change
2011-10-31 19:02 NYKevin New Issue
2011-10-31 19:07 NYKevin Note Added: 0001433
2011-11-30 08:20 Texter Note Added: 0001470
2012-02-03 08:07 EmacsUser Note Added: 0001571
2012-02-03 08:07 EmacsUser Status new => confirmed
2012-02-03 08:07 EmacsUser Category Relations => Assertions and creations
2012-07-04 09:12 EmacsUser Priority none => normal
2014-05-04 04:05 graham Note Added: 0002653
2014-05-04 04:05 graham Status confirmed => resolved
2014-05-04 04:05 graham Resolution open => fixed
2014-05-04 04:05 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker